org.apache.maven.scm.provider.perforce.command.diff

## Class PerforceDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand
    - - org.apache.maven.scm.provider.perforce.command.diff.PerforceDiffCommand

- All Implemented Interfaces:
    Command, PerforceCommand

      public class PerforceDiffCommand
      extends AbstractDiffCommand
      implements PerforceCommand

  Version:
    $Id: PerforceDiffCommand.java 756929 2009-03-21 12:56:36Z olamy $
  Author:
    Mike Perham

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerforceDiffCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(PerforceScmProviderRepository repo, File workingDirectory, ScmVersion startRev, ScmVersion endRev)`
    `protected DiffScmResult` | `executeDiffCommand(ScmProviderRepository repo, ScmFileSet files, ScmVersion startRev, ScmVersion endRev)`

    - ### Methods inherited from class org.apache.maven.scm.command.diff.AbstractDiffCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerforceDiffCommand

          public PerforceDiffCommand()

  - ### Method Detail

    - #### executeDiffCommand

          protected DiffScmResult executeDiffCommand(ScmProviderRepository repo,
                                         ScmFileSet files,
                                         ScmVersion startRev,
                                         ScmVersion endRev)
                                              throws ScmException

      Specified by:
        `executeDiffCommand` in class `AbstractDiffCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(PerforceScmProviderRepository repo,
                                                                   File workingDirectory,
                                                                   ScmVersion startRev,
                                                                   ScmVersion endRev)

Copyright © 2003–2015. All rights reserved.